import Collapsible from "../../../components/Collapsible";
import { H5 } from "../../../components/Headings";
import { Troubleshoot } from "./trouble-data";


export function Filterables(data: Array<Troubleshoot>){
    let count = 2; 
    let results = [];
    for (let index = 0; index < data.length; index++) {
        let tags = ""
        for (let i = 0; i < data[index].tags.length; i++) {
            tags += data[index].tags[i] + " "; 
        }
        results.push(
            <div className={`filterable all ${tags}`} id={`wiki-trouble-${count}`}>
                <Collapsible title={data[index].title} id={`wiki-trouble-${count}-collapsible`}>
                    {data[index].text}
                    <H5 text="Example"/>
                        {data[index].examplechildren}
                    <H5 text="Solution"/>
                    {data[index].solutionchildren}
                </Collapsible>
            </div>
        )
        count ++; 
    }
    return results; 
}

